#!/bin/bash

task=cloud

javac TestGen.java
java TestGen

cp 01.t 01
cp 02.t 02

echo "Generating tests"
cp ../"$task"_pk.java .

echo "Compiling solution"
javac "$task"_pk.java

echo "Generating answers"
for i in ??
do
	echo -ne "[$i]"
	cp $i $task.in
	java "$task"_pk
	mv "$task".out $i.a
done
